# -*-coding:utf-8 -*- #
# ---------------------------------------------------------------------------
# ProjectName:   pythonProject
# FileName:      read_ini.py
# Author:       liulei
# Datetime:     2024/7/13 20:19
# Description:
# 
# ---------------------------------------------------------------------------

import json

from APIAutoTest_V2_1.commen.read_ini import ReadIni


def ReadJson(key):
    """获取json文件的路径"""
    read_ini = ReadIni()
    json_path = read_ini.get_file(key)
    # 根据传入的key决定取哪个json文件的数据
    try:
        with open(json_path, 'r', encoding='utf-8') as f:
            json_data = json.loads(f.read())
    except Exception as e:
        print("获取json文件数据时出现错误，错误为：")
        raise e
    else:
        return json_data


