# -*-coding:utf-8 -*- #
# ---------------------------------------------------------------------------
# ProjectName:   pythonProject
# FileName:      test_bpm.py
# Author:       liulei
# Datetime:     2024/7/15 9:23
# Description:
# 
# ---------------------------------------------------------------------------
import pytest

from APIAutoTest_V2_1.commen.read_excel import ReadExcel


class TestBPM:
    @pytest.mark.parametrize("req_method, req_url, req_mime, case_data, expect_data, sql_type, sql_data, update_key", ReadExcel().get_data_all())
    def test_request_bpm(self, req_fix, db_fix, req_method, req_url, req_mime, case_data, expect_data, sql_type, sql_data, update_key):
        # print(req_method, req_url, req_mime, case_data, expect_data, sql_type, sql_data, update_key)
        if sql_type == "delete":
            db_fix.delete(sql_data)
            result = req_fix.request_all(req_method, req_url, req_mime, case_data)
            print(result.json())

        elif sql_type == "select":
           select_result = db_fix.select(sql_data)
           print("查询结果为：", select_result)
           case_data[update_key] = select_result

           result = req_fix.request_all(req_method, req_url, req_mime, case_data)
           print(result.json())


        else:
            result = req_fix.request_all(req_method, req_url, req_mime, case_data)
            print(result.json())

        try:
            for key in expect_data.keys():
                assert expect_data[key] == result.json().get(key)
        except:
            raise AssertionError("断言失败")
        else:
            print("断言成功")


















