# -*-coding:utf-8 -*- #
# ---------------------------------------------------------------------------
# ProjectName:   pythonProject
# FileName:      read_ini.py
# Author:       liulei
# Datetime:     2024/7/15 12:30
# Description:
# 
# ---------------------------------------------------------------------------

import json
import os.path

from test_project.mine.APIAutoTest_V2_2.commen.read_ini import ReadIni


def ReadJson(key):
    # 获取json文件路径
    path = ReadIni().get_file(key)

    # 打开json文件
    if os.path.isfile(path) and path.endswith(".json"):
        try:
            with open(path, 'r', encoding='utf-8') as f:
                json_data = json.loads(f.read())
        except Exception as e:
            print("根据传入的key获取json文件内容时出现错误：")
            raise e
        else:
            return json_data
    else:
        print("传入的key有错误")


if __name__ == "__main__":
    rj = ReadJson("case")
    print(type(rj))


