# -*-coding:utf-8 -*- #
# ---------------------------------------------------------------------------
# ProjectName:   pythonProject
# FileName:      test_bpm.py
# Author:       liulei
# Datetime:     2024/7/15 13:48
# Description:
# 
# ---------------------------------------------------------------------------
import pytest

from test_project.mine.APIAutoTest_V2_2.commen.read_excel import ReadExcel


class TestBpm:
    @pytest.mark.parametrize("module, api, title, req_method, req_path, req_mime, case_data, expect, sql_type, sql_sentence, update_key", ReadExcel().get_data_all())
    def test_bpm(self, req_fix, db_fix, module, api, title, req_method, req_path, req_mime, case_data, expect, sql_type, sql_sentence, update_key):
        print(module, api, title, req_method, req_path, req_mime, case_data, expect, sql_type, sql_sentence, update_key)

        if sql_type == "delete":
            db_fix.delete(sql_sentence)

            res = req_fix.request_all(req_method=req_method, req_url=req_path, req_mime=req_mime, case_data=case_data)
            print(res.json())

        elif sql_type == "select":
            sql_res = db_fix.select(sql_sentence)
            print("sql语句为：", sql_sentence)
            print("更新的用例为：", update_key)
            case_data[update_key] = sql_res
            res = req_fix.request_all(req_method=req_method, req_url=req_path, req_mime=req_mime, case_data=case_data)
            print(res.json())

        else:
            res = req_fix.request_all(req_method=req_method, req_url=req_path, req_mime=req_mime, case_data=case_data)
            print(res.json())

        try:
            for key in expect.keys():
                assert res.json().get(key) == expect[key]
        except:
            raise AssertionError("断言失败")
        else:
            print("断言成功")

